Skip to main content
`Ctrl`+`K`

# DMLabelComputeIndex

Create an index structure for membership determination, automatically determining the bounds

## Synopsis

    #include "petscdmlabel.h"
    #include "petscsection.h"
    PetscErrorCode DMLabelComputeIndex(DMLabel label)

Not Collective

## Input Parameter

- label - The `DMLabel`

## See Also

`DMLabel`, `DM`, `DMLabelHasPoint()`, `DMLabelCreateIndex()`, `DMLabelDestroyIndex()`, `DMLabelGetValue()`, `DMLabelSetValue()`

## Level

intermediate

## Location

src/dm/label/dmlabel.c

Index of all DMLabel routines
Table of Contents for all manual pages
Index of all manual pages